# Virtualmin API plugins for WP Workbench

# use strict;
# use warnings;
# no warnings 'uninitialized';

require 'virtualmin-wp-workbench-lib.pl';
our (%text, %config, $module_name, %access);

# feature_name()
# Returns a short name for this feature
sub feature_name
{
return $text{'feat_name'};
}

# check_scripts_extension()
# Returns 1 if the scripts extension is available for this feature
sub check_scripts_extension
{
return 1;
}

# scripts_list_extension()
# Returns script extensions for this feature
sub get_scripts_extension_files
{
my ($name) = @_;
return ( ) if ($name !~ /^(classic|word)press$/);
my @extensions;
my $extention_base = "wordpress";
push(@extensions, "$module_root_directory/$extention_base-extension.pl");
if ($name ne $extention_base) {
        push(@extensions, "$module_root_directory/$name-extension.pl");
        }
return @extensions;
}

1;