#!/usr/bin/perl
# Perform WP-CLI install

$main::no_acl_check++;
require './virtualmin-wp-workbench-lib.pl';
&ReadParse();
&error_setup($text{'scripts_kit_ewpsetup'});
my $d = &virtual_server::get_domain($in{'dom'});
&virtual_server::can_edit_domain($d) && &virtual_server::can_edit_scripts() ||
	&error($text{'edit_ecannot'});
my ($sinfo) = grep { $_->{'id'} eq $in{'sid'} }
	&virtual_server::list_domain_scripts($d);
$sinfo || &error($text{'scripts_emissing'});
my $script = &virtual_server::get_script($sinfo->{'name'});
$script || &error($text{'scripts_emissing'});
# Install WP-CLI
my $script_kit_wpcli_func = "script_$script->{'name'}_kit_wpcli";
my $err = $script_kit_wpcli_func->($d, $sinfo);
&error($err) if ($err);
&redirect(&get_referer_relative());
