#!/usr/bin/perl
# Perform login to script

$main::no_acl_check++;
require './virtualmin-wp-workbench-lib.pl';
&ReadParse();
my $d = &virtual_server::get_domain($in{'dom'});
&virtual_server::can_edit_domain($d) && &virtual_server::can_edit_scripts() || &error($text{'edit_ecannot'});
my ($sinfo) = grep { $_->{'id'} eq $in{'sid'} } &virtual_server::list_domain_scripts($d);
$sinfo || &error($text{'scripts_emissing'});
my $script = &virtual_server::get_script($sinfo->{'name'});
$script || &error($text{'scripts_emissing'});
# If defined scripts login function
my $kit_login_func = "virtual_server::$script->{'kit_login_func'}";
if (defined(&$kit_login_func)) {
        # Call script login function
        my $sstate = $in{'sstate'} ? &convert_from_json($in{'sstate'}) : undef;
        $kit_login_func->($d, $script, $sinfo, $sstate, \%in);
        # Redirect to script login page
        return;
        }
