#!/usr/bin/perl
# Script workbench
# workbench.cgi

$main::no_acl_check++;
require './virtualmin-wp-workbench-lib.pl';
&ReadParse();
&error_setup($text{'scripts_ekit'});
my $d = &virtual_server::get_domain($in{'dom'});
&virtual_server::can_edit_domain($d) && &virtual_server::can_edit_scripts() ||
	&error($text{'edit_ecannot'});
&virtual_server::domain_has_website($d) && $d->{'dir'} ||
	&error($text{'scripts_eweb'});
# Get script
my ($sinfo) = grep { $_->{'id'} eq $in{'sid'} }
	&virtual_server::list_domain_scripts($d);
my $script = &virtual_server::get_script($sinfo->{'name'});
$script || &error($text{'scripts_emissing'});

# Run the apply function
&error(&text('scripts_gpl_pro_tip_workbench_pro_only', $desc)." ".
       &text('scripts_gpl_pro_tip_enroll', $virtual_server::virtualmin_shop_link_cat))
		if (!$virtual_server::virtualmin_pro);
&ui_print_unbuffered_header(&virtual_server::domain_in($d),
	&text("scripts_kit", $script->{'tmdesc'}), "");
$script->{'kit_apply_func'}->($d, \%in, $sinfo, $script);
# Print footer
my $auid = $in{'uid'} || 1;
&ui_print_footer(
	"../virtual-server/edit_script.cgi?dom=$in{'dom'}&".
		"script=$in{'sid'}&tab=$in{'tab'}&auid=$auid",
	$text{'scripts_ereturn'},
	"../virtual-server/list_scripts.cgi?dom=$in{'dom'}",
		$text{'scripts_return'},
	&virtual_server::domain_footer_link($d));
